> ## Documentation Index
> Fetch the complete documentation index at: https://docs.codex.io/llms.txt
> Use this file to discover all available pages before exploring further.

# getPrimePoolAssets

> Returns a list of Prime pool cached assets. Reference for the getPrimePoolAssets query in the Codex API: arguments, response fields, and usage.

<div data-generated>
  ## GraphQL

  ```
  type Query {
    getPrimePoolAssets(
      networkId: Int!
      poolContractAddress: String
      poolId: String
      walletAddress: String
      limit: Int
      cursor: String
    ): PrimePoolAssetConnection
  }

  type PrimePoolAsset {
    id: String!
    sortKey: String!
    amount: String!
    from: String!
    fromHashKey: String!
    fromSortKey: String!
    networkId: Int!
    poolContractAddress: String!
    poolId: String!
    ethRewardDebt: String
    primeRewardDebt: String
  }

  type PrimePoolAssetConnection {
    cursor: String
    items: [PrimePoolAsset]
  }
  ```
</div>
